{% extends "layout.html" %}
{% block title %}Tasks{% endblock %}
{% block section %}Tasks{% endblock %}
{% block content %}
      <div class="row">
        <div class="col-sm-8 col-sm-offset-2 col-md-10 col-md-offset-1">
          <div class="box">
            <div class="box-header with-border">
              {% if scheduler['running'] == True %}
               <span class="label label-success pull-right">Scheduler Running</span>
              {% elif scheduler['running'] == False %}
                <span class="label label-danger pull-right">Scheduler Stopped</span>
              {% else %}
                <span class="label label-default pull-right">Unknown</span>
              {% endif %}
            </div>
            <div class="box-body">
              <div class="table-responsive">
                <table class="table table-striped table-hover table-users table-responsive">
                  <thead>
                  <tr>
                    <th>id</th>
                    <th>Name</th>
                    <th>Trigger</th>
                    <th>Schedule</th>
                    <th>Period</th>
                    <th>First Run</th>
                    <th>Next Run</th>
                    <th></th>
                    <th></th>
                    <th></th>
                  </tr>
                  </thead>
                  <tbody>
                  {% for task in tasks %}
                  <tr>
                    <td>{{ task['id'] }}</td>
                    <td>{{ task['name'] }}</td>
                    <td>{{ task['trigger'] }}</td>
                    {% if task['minutes'] %}
                      <td>{{ task['minutes'] }}</td>
                      <td>minutes</td>
                    {% elif task['hours'] %}
                      <td>{{ task['hours'] }}</td>
                      <td>hours</td>
                    {% elif task['days'] %}
                      <td>{{ task['days'] }}</td>
                      <td>days</td>
                    {% elif task['trigger'] == 'cron' %}
                      <td>{{ moment(task.time).format('HH:mm') }}</td>
                      <td>daily</td>
                    {% endif %}
                    <td>{{ moment(task['next_run_time']).format('LLL') }}</td>
                    {% if task['start_date'] %}
                        <td>{{ moment(task['start_date']).format('LLL') }}</td>
                        {% else %}
                        <td></td>
                    {% endif %}
                    <td>
                      <form class="form-inline" action="/scheduler/jobs/{{ task['id'] }}/run" method="post">
                        <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                        <button type="submit"  style="font-size:11px;" class="btn btn-primary">Run</button>
                      </form>
                    </td>
                    <td>
                      <form class="form-inline" action="/scheduler/jobs/{{ task['id'] }}/resume" method="post">
                        <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                        <button type="submit"  style="font-size:11px;" class="btn btn-success">Enable</button>
                      </form>
                    </td>
                    <td>
                      <form class="form-inline" action="/scheduler/jobs/{{ task['id'] }}/pause" method="post">
                        <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                        <button type="submit"  style="font-size:11px;" class="btn btn-warning">Disable</button>
                      </form>
                    </td>
                  </tr>
                  {% endfor %}
                  </tbody>
                </table>
              </div>
            </div>
            <!-- /.box-body -->
          </div>
        <!-- /.box -->
        </div>
      </div>
{% endblock %}
